<?php
/* Connect database */
include_once 'conf.php';

$commands = array(
	'DROP TABLE IF EXISTS `topic`',
	'DROP TABLE IF EXISTS `comment`',
	'DROP TABLE IF EXISTS `config`',
	'DROP TABLE IF EXISTS `type`',
	'CREATE TABLE `topic` ( 
		`topic_id` int(8) unsigned NOT NULL AUTO_INCREMENT primary key,
		`name` varchar(128),
		`title` text,
		`content` text,
		`private` bool default false,
		`ctime` datetime,
		`mtime` timestamp default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
		`access` int,
		`comments` int,
		`type_id` int) character set \'utf8\'',
	'CREATE TABLE `comment` ( 
		`comment_id` int unsigned NOT NULL auto_increment primary key,
		`name` varchar(32),
		`mail` varchar(64),
		`disabled` bool default false,
		`content` text,
		`ctime` timestamp default CURRENT_TIMESTAMP,
		`topic_id` int unsigned,
		`ip` varchar(64) NOT NULL) character set \'utf8\'',
	'CREATE TABLE `type` ( 
		`type_id` int unsigned NOT NULL auto_increment primary key,
		`order` int default 0,
		`style` int default 0,
		`name` varchar(32)) character set \'utf8\'',
	'CREATE TABLE `config` ( `access` bigint ) ',
	'INSERT INTO `config` ( `access` ) VALUES( 0 )'
);
foreach( $commands as $query ){
	$result  = mysql_query($query) or die('Error, query failed' .$query . '<p>'.mysql_error().'</p>');
}
echo 'Installed successfully! Please remove this file.';
?>
